aboutsummaryrefslogtreecommitdiff
path: root/bin/d2u
diff options
context:
space:
mode:
Diffstat (limited to 'bin/d2u')
-rw-r--r--bin/d2u9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/d2u b/bin/d2u
new file mode 100644
index 00000000..81700e15
--- /dev/null
+++ b/bin/d2u
@@ -0,0 +1,9 @@
+#!/bin/sh
+r=$(printf '\r')
+for fn ; do
+ ed -s -- "$fn" <<EOF || ex=1
+g/$r\$/ s/$r\$//
+w
+EOF
+done
+exit "${ex:-0}"